package pt.moth.util.conflicts;

import pt.moth.util.View;
import pt.moth.util.variables.GlobalVar;

/**
 * This interface has all methods commun to both DepConflicts and RwWConflicts
 * 
 * @author Vasco Pessanha
 *
 */
public interface OneVarConflict {
	
	/*
	  	P1:		V1   --   (var)   -->   V2
	  	P2:			W(var) € WriteView	 
	 */
	
	public View getV1();
	public View getV2();
	public View getWriteView();
	public GlobalVar getVar();
}
