package pt.moth.util.variables;

import soot.SootMethod;


/**
 * This interface represents a general variable.
 * It can be implemented by the classes "GlobalVar" and "LocalVar"
 * 
 * @author Vasco Pessanha
 *
 */
public interface Variable {
	public String toString();
	public String getName();
	public Variable copy();
	public SootMethod getSootMethod();
	public boolean equals(Object obj);
	public int hashCode();
}
