package pt.moth.util;

import pt.moth.util.variables.Variable;


/**
 * This class allows to build a ATOMIC_LATTICE that says that a given method was
 * called from a atomic method
 * 
 * @author Vasco Pessanha
 * 
 */
public class SpecialAccess implements IAccess {
	
	@Override
	public int hashCode() {
		return 797;//could be another number
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		return  (obj instanceof SpecialAccess);
	}

	public SpecialAccess() {}

	public String toString(){
		return "(SpecialAccess)";
	}
	@Override
	public Variable getVariable() {
		return null;
	}

	@Override
	public String getName() {
		return null;
	}

	@Override
	public int hashCodeIgnoreType() {
		return 0;
	}

	@Override
	public boolean equalsIgnoreType(IAccess a) {
		return (a instanceof SpecialAccess);
	}

	@Override
	public IAccess copy() {
		return new SpecialAccess();
	}
}
