package pt.moth.util;

import java.util.Comparator;

/**
 * This class allows us to order a set of views A view is greater than another
 * if it is bigger (size > other.size) and it is smaller otherwise.
 * 
 * We can not have v1.equals(v2) to avoid the exclusion of a view from the
 * view's set
 * 
 * @author Vasco Pessanha
 */
public class ViewCardinalityComparator implements Comparator<View> {

	public int compare(View o1, View o2) {
		if(o1.size() > o2.size()){
			return 1;
		}
		else{
			return -1;
		}
	}

}
